var prefs = Components.classes["@mozilla.org/preferences-service;1"].
                getService(Components.interfaces.nsIPrefBranch);

function init() {

	var streamSize = 20;
	var thumbSize = 't';
	var singlephoto = 0;

	try {
		streamSize = prefs.getIntPref("philmccluskey.com.flickrfox.streamsize");
	} catch(e) { //pass
	}
	var ss = document.getElementById('prefsize').setAttribute('value',streamSize);

	try {
		thumbSize = prefs.getCharPref("philmccluskey.com.flickrfox.thumbsize");
	} catch(e) { //pass
	}

	try {
		singlephoto = prefs.getIntPref("philmccluskey.com.flickrfox.singlephoto");
	} catch(e) { //pass
	}

	tsID = "ff_t_" + thumbSize;
	document.getElementById(tsID).setAttribute('selected',true);
	if (singlephoto == 1) {
		document.getElementById('singlephoto').checked = true;
	}
}

function savePrefs() {
	var s = document.getElementById('prefsize');
	var t = document.getElementById('prefthumbsize');
	var single = document.getElementById('singlephoto');
	var thumbSize;

	s = parseInt(s.value);
	if (isNaN(s)==false) {
	  if (s > 100) {
	      s = 100;
	  }
	  if (s < 1) {
	      s = 20;
	  }
	} else {
	  s = 20;
	}

	var singlephoto = 0;
	if (single.checked == true) {
	      singlephoto = 1;
	}

	if (t.value == '') {

	      try {
		  thumbSize = prefs.getCharPref("philmccluskey.com.flickrfox.thumbsize");
	      } catch(e) {
		  thumbSize = 't';
	      }
	  t.value = thumbSize;
	}

	prefs.setIntPref("philmccluskey.com.flickrfox.streamsize", s);
	prefs.setCharPref("philmccluskey.com.flickrfox.thumbsize", t.value);
	prefs.setIntPref("philmccluskey.com.flickrfox.singlephoto", singlephoto);

	var par = window.opener.document.getElementById("tools-flickrfox-refresh");
	try {
	 par.click();
	} catch(e) {
	//pass
	}
	window.close();
}

